Skip to content
Ona Docs

ListEditors

client.Editors.List(ctx, params) (*EditorsPage[Editor], error)
POST/gitpod.v1.EditorService/ListEditors

Lists all available code editors, optionally filtered to those allowed in an organization.

Use this method to:

  • View supported editors
  • Get editor capabilities
  • Browse editor options
  • Check editor availability

Examples

  • List editors:

    Shows all available editors with pagination.

    pagination:
      pageSize: 20
  • List editors available to the organization:

    Shows all available editors that are allowed by the policies enforced in the organization with pagination.

    pagination:
      pageSize: 20
    filter:
      allowedByPolicy: true
ParametersExpand Collapse
params EditorListParams
Token param.Field[string]Optional

Query param

PageSize param.Field[int64]Optional

Query param

maximum100
minimum0
Filter param.Field[EditorListParamsFilter]Optional

Body param: filter contains the filter options for listing editors

AllowedByPolicy boolOptional

allowed_by_policy filters the response to only editors that are allowed by the policies enforced in the organization

ReturnsExpand Collapse
type Editor struct{…}
ID string
formatuuid
InstallationInstructions string
Name string
URLTemplate string
Alias stringOptional
IconURL stringOptional
ShortDescription stringOptional
Versions []EditorVersionOptional

versions contains the list of available versions for this editor

Version string

version is the version string of the editor Examples for JetBrains: 2025.2

ListEditors

package main

import (
  "context"
  "fmt"

  "github.com/gitpod-io/gitpod-sdk-go"
  "github.com/gitpod-io/gitpod-sdk-go/option"
)

func main() {
  client := gitpod.NewClient(
    option.WithBearerToken("My Bearer Token"),
  )
  page, err := client.Editors.List(context.TODO(), gitpod.EditorListParams{
    Pagination: gitpod.F(gitpod.EditorListParamsPagination{
      PageSize: gitpod.F(int64(20)),
    }),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "editors": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "installationInstructions": "installationInstructions",
      "name": "name",
      "urlTemplate": "urlTemplate",
      "alias": "alias",
      "iconUrl": "iconUrl",
      "shortDescription": "shortDescription",
      "versions": [
        {
          "version": "version"
        }
      ]
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}
Returns Examples
{
  "editors": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "installationInstructions": "installationInstructions",
      "name": "name",
      "urlTemplate": "urlTemplate",
      "alias": "alias",
      "iconUrl": "iconUrl",
      "shortDescription": "shortDescription",
      "versions": [
        {
          "version": "version"
        }
      ]
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}